import {
  a as p
} from "./chunk-3R3KB5WX.js";
import {
  a as u
} from "./chunk-MOWHPMSS.js";
import {
  a as s,
  c as n
} from "./chunk-IO47FP3U.js";

// ../node_modules/refractor/lang/tsx.js
var x = n((i, g) => {
  var c = u(), o = p();
  g.exports = r;
  r.displayName = "tsx";
  r.aliases = [];
  function r(a) {
    a.register(c), a.register(o), function(e) {
      var l = e.util.clone(e.languages.typescript);
      e.languages.tsx = e.languages.extend("jsx", l), delete e.languages.tsx.parameter, delete e.languages.tsx["literal-property"];
      var t = e.languages.tsx.tag;
      t.pattern = RegExp(
        /(^|[^\w$]|(?=<\/))/.source + "(?:" + t.pattern.source + ")",
        t.pattern.flags
      ), t.lookbehind = !0;
    }(a);
  }
  s(r, "tsx");
});

export {
  x as a
};
